Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-36993

mongod crash: Invariant failure indexedOr src/mongo/db/query/index_tag.cpp 237

    XMLWordPrintable

    Details

    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Backport Requested:
      v4.0, v3.6
    • Sprint:
      Query 2018-09-24

      Description

      CVE-2018-20802

      Title: Post-auth queries on compound index may crash mongod

      Description:
      A user authorized to perform database queries may trigger denial of service by issuing specially crafted queries with compound indexes affecting QueryPlanner. This issue affects: MongoDB Inc. MongoDB Server v4.0 versions prior to 4.0.3; v3.6 versions prior to 3.6.9.

      CVSS score:
      This issue's CVSS:3.1 severity is scored at 6.5 using the following scoring metrics:
      CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

      Affected versions:
      MongoDB Inc. MongoDB Server v4.0 versions prior to 4.0.3; v3.6 versions prior to 3.6.9.

      CWE: CWE-394: Unexpected Status Code or Return Value


      Opening to discuss the security impact of SERVER-36993, which affects 3.6.3 and later. This issue was externally identified and reported.

      I believe this exploit can used in a denial of service attack against atlas free tier.

        Attachments

          Activity

            People

            Assignee:
            david.storch David Storch
            Reporter:
            travis@bryx.com Travis Brown
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            12 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: